gtk2-perl

About GNOME · Users · Developers · Bindings

Supported Platforms

In theory, Gtk2-Perl should be perfectly portably to any platform that supports both perl 5.8.x and gtk+ 2.x. Here are the ones we've actually tested:

Platformstatusnotes
linux-x86okMain development platform
linux-ia64/amd64ok1.023 or later
linux-ppcok
linux-sparcok
win32okrequires one patch and is not fun to build (requires microsoft's compiler). binaries available
cygwinokrequires an X server. binaries from the Cygwin Ports Project: ftp://sunsite.dk/projects/cygwinports/
Mac OS X 10.4 (Tiger)okuses X11. get gtk+ from fink.
Mac OS X 10.3 (Panther)okuses X11. get gtk+ from fink. Installation notes
Mac OS X 10.2 (Jaguar)uses X11. get gtk+ from fink. requires perl 5.8.x upgrade.
freebsd-?ok

Updated 00:58 19 August 2005.